Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Class ResourceHelper

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.ResourceHelper

Direct Known Subclasses:
  AttributesHelper, ControlHelper, FramesHelper, IndexersHelper, RealmsHelper, ResourceHelper, ResourcesHelper, UsersHelper

public abstract class ResourceHelper
extends java.lang.Object
implements ResourceHelperInterface

Field Summary
`protected java.util.Vector` | `rls`

Constructor Summary
`ResourceHelper()`

Method Summary
`void` | `addResourceListener(ResourceListener rl)`
`protected void` | `errorPopup(java.lang.String name, java.lang.Exception ex)`
`abstract java.awt.Component` | `getComponent()`
`abstract java.lang.String` | `getTitle()`
`RemoteResource` | `getValue()`
`protected void` | `msgPopup(java.lang.String name)`
`protected void` | `processEvent(java.util.EventObject eo)`
`void` | `removeResourceListener(ResourceListener rl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rls

    protected java.util.Vector rls

Constructor Detail

### ResourceHelper

    public ResourceHelper()

Method Detail

### getTitle

    public abstract java.lang.String getTitle()

### getComponent

    public abstract java.awt.Component getComponent()

### errorPopup

    protected void errorPopup(java.lang.String name,
                              java.lang.Exception ex)

### msgPopup

    protected void msgPopup(java.lang.String name)

### addResourceListener

    public void addResourceListener(ResourceListener rl)

  Specified by:
    addResourceListener in interface ResourceHelperInterface

### getValue

    public RemoteResource getValue()

  Specified by:
    getValue in interface ResourceHelperInterface

### removeResourceListener

    public void removeResourceListener(ResourceListener rl)

  Specified by:
    removeResourceListener in interface ResourceHelperInterface

### processEvent

    protected void processEvent(java.util.EventObject eo)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD